epp_ResultValue (EPP RTK Java API Documentation)
Keywords: org.openrtk.idl.epprtk.epp_ResultValue class

### org.openrtk.idl.epprtk

# Class epp_ResultValue

- `java.lang.Object`
- - `org.openrtk.idl.epprtk.epp_ResultValue`

Implemented Interfaces:
  org.omg.CORBA.portable.IDLEntity

`public class epp_ResultValue`
`extends java.lang.Object`
`implements org.omg.CORBA.portable.IDLEntity`

Contains the information of the XML element from the request which cause the server to return an error. $Header: /cvsroot/epp-rtk/epp-rtk/java/src/org/openrtk/idl/epprtk/epp_ResultValue.java,v 1.1 2004/12/07 15:27:49 ewang2004 Exp $
$Revision: 1.1 $
$Date: 2004/12/07 15:27:49 $

See Also:
  `epp_Result.setValues(epp_ResultValue[])`

  ## Field Summary
  `String` | `m_element_name` The name of the XML element.
  `String` | `m_element_value` The value of the element.
  `String` | `m_namespace` The namespace of the XML element.
  `String` | `m_xml_string` The entire XML string of the offending element.

  ## Constructor Summary
  `epp_ResultValue()`
  `epp_ResultValue(String _m_namespace, String _m_xml_string, String _m_element_name, String _m_element_value)`

  ## Method Summary
  `String` | `getElementName()`
  `String` | `getElementValue()`
  `String` | `getNamespace()`
  `String` | `getXmlString()`
  `void` | `setElementName(String value)`
  `void` | `setElementValue(String value)`
  `void` | `setNamespace(String value)`
  `void` | `setXmlString(String value)`
  `String` | `toString()` Converts this class into a string.

## Field Details

### m_element_name

    public String m_element_name

> The name of the XML element. Can be null/empty if the XML is not parsable.

### m_element_value

    public String m_element_value

> The value of the element. Can be null if the XML is unparsable.

### m_namespace

    public String m_namespace

> The namespace of the XML element. Can be null/empty if the XML is not parsable.

### m_xml_string

    public String m_xml_string

> The entire XML string of the offending element. Always set.

## Constructor Details

### epp_ResultValue

    public epp_ResultValue()

### epp_ResultValue

    public epp_ResultValue(String _m_namespace,
                           String _m_xml_string,
                           String _m_element_name,
                           String _m_element_value)

## Method Details

### getElementName

    public String getElementName()

### getElementValue

    public String getElementValue()

### getNamespace

    public String getNamespace()

### getXmlString

    public String getXmlString()

### setElementName

    public void setElementName(String value)

### setElementValue

    public void setElementValue(String value)

### setNamespace

    public void setNamespace(String value)

### setXmlString

    public void setXmlString(String value)

### toString

    public String toString()

> Converts this class into a string. Typically used to view the object in debug output.
> Returns:
>   The string representation of this object instance

Copyright © 2001-2002 - Tucows, Inc., 2003 - LibertyRMS